﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using RibbonBarDataBinding.ViewModels;

namespace RibbonBarDataBinding
{
	public class TabItemStyleSelector : StyleSelector
	{
		public Style DefaultStyle { get; set; }
		public Style SelectedStyle { get; set; }

		public override Style SelectStyle(object item, DependencyObject container)
		{
			if ((item as TabViewModel).IsSelected)
				return SelectedStyle;
			else
				return DefaultStyle;
		}
	}
}
