using System;
using GalaSoft.MvvmLight;

namespace RibbonBarDataBinding.ViewModels
{
    public class ButtonViewModel : ViewModelBase
    {
		
		private Uri smallImage;
		/// <summary>
		///     Gets or sets ImageSrc.
		/// </summary>
		public Uri SmallImage
		{
			get
			{
				return this.smallImage;
			}
			set
			{
				if (this.smallImage != value)
				{
					this.smallImage = value;
					this.RaisePropertyChanged("SmallImage");
				}
			}
		}

		private Uri largeImage;
		/// <summary>
		///     Gets or sets ImageSrc.
		/// </summary>
		public Uri LargeImage
		{
			get
			{
				return this.largeImage;
			}
			set
			{
				if (this.largeImage != value)
				{
					this.largeImage = value;
					this.RaisePropertyChanged("LargeImage");
				}
			}
		}

        private String text;
        /// <summary>
        ///     Gets or sets Text.
        /// </summary>
        public String Text
        {
            get
            {
                return this.text;
            }
            set
            {
                if (this.text != value)
                {
                    this.text = value;
                    this.RaisePropertyChanged("Text");
                }
            }
        }        
    }
}
